
<template>
  <v-app id="inspire">

    <!-- nav drawer start -->
    <v-navigation-drawer
      width="200"
      v-model="drawer"
      fixed
      app
      disable-resize-watcher
      hide-overlay
    >
    <v-list dense>

        <v-list-tile @click="changeRoute('home')">
          <v-list-tile-action>
            <v-icon>home</v-icon>
          </v-list-tile-action>
          <v-list-tile-content>
            <v-list-tile-title>Home</v-list-tile-title>
          </v-list-tile-content>
        </v-list-tile>

        <v-list-tile @click="changeRoute('student')">
          <v-list-tile-action>
            <v-icon>contact_mail</v-icon>
          </v-list-tile-action>
          <v-list-tile-content>
            <v-list-tile-title>Student</v-list-tile-title>
          </v-list-tile-content>
        </v-list-tile>

        <v-list-tile @click="changeRoute('subject')">
          <v-list-tile-action>
            <v-icon>contact_mail</v-icon>
          </v-list-tile-action>
          <v-list-tile-content>
            <v-list-tile-title>Subject</v-list-tile-title>
          </v-list-tile-content>
        </v-list-tile>

        <v-list-tile @click="changeRoute('major')">
          <v-list-tile-action>
            <v-icon>contact_mail</v-icon>
          </v-list-tile-action>
          <v-list-tile-content>
            <v-list-tile-title>Major</v-list-tile-title>
          </v-list-tile-content>
        </v-list-tile>
      </v-list>
      
    </v-navigation-drawer>
  <!-- nav drawer end -->

    <v-toolbar color="indigo" dark fixed app>
      <v-toolbar-side-icon @click="drawer = !drawer"></v-toolbar-side-icon>
      <v-toolbar-title>Project MMU</v-toolbar-title>
    </v-toolbar>

    <v-content>
     <router-view></router-view>
    </v-content>
        
    <v-footer color="indigo" app>
      <span class="white--text">&copy; 2010 copy right OpenSy {{count}}</span>
    </v-footer>
  </v-app>
</template>

<script>

export default {
  name: 'App',
  components: {
  },
  methods: {
    changeRoute(route) {
    this.$router.push( {name: route })
    }
  },
  mounted(){
    this.$store.commit('increment')
  },
  data() {
    return {
      count: this.$store.state.count,
      drawer: true
    }
  }
}
</script>
